<template>
  <div class="column items-center">
    <div class="col full-width" style="max-width: 1000px">
      <q-form
        @submit="onSubmit"
        @reset="onReset"
      >
        <q-card class="q-mx-md q-mt-sm">
          <q-card-actions>
            <q-btn color="orange" icon="arrow_back" label="Kembali" type="a" to="/level" />
          </q-card-actions>
          <q-card-section style="color: white; background: #4caf50">
            <q-item-label class="text-h4">Tambah Level</q-item-label>
          </q-card-section>
          <q-card-section class="q-gutter-md">
            <q-input
              standout="bg-green text-white"
              v-model="level_name"
              label="Nama Level"
            />
            <q-input
              type="number"
              standout="bg-green text-white"
              v-model="level_price"
              label="Harga"
            />
            <q-toggle
              v-model="status"
              color="blue"
              label="Status"
              left-label
            />
            <q-select
              label="Akses Halaman"
              hint="Tambahkan Value baru, untuk menambahkan lebih dari 1, silahkan tekan enter atau , ; "
              filled
              v-model="page_access"
              use-input
              use-chips
              multiple
              hide-dropdown-icon
              input-debounce="0"
              @new-value="createValue"
            />
          </q-card-section>
          <q-separator />
          <q-card-actions align="right" class="q-gutter-md">
            <q-btn color="orange" type="reset">Reset</q-btn>
            <q-btn color="green" type="submit">Tambah Level</q-btn>
          </q-card-actions>
        </q-card>
      </q-form>
    </div>
  </div>
</template>

<script>
export default {
  name: "TambahLevel",
  data () {
    return {
      level_name: null,
      level_price: null,
      status: true,
      page_access: []
    }
  },
  methods: {
    onSubmit: function () {
      let data = new FormData;
      let submit = true;
      data.append("level_name", this.level_name);
      data.append("level_price", this.level_price);
      data.append("page_access", this.page_access);
      data.append("status", this.status);

      if (!this.level_name) {
        submit = false
      }
      if (!this.level_price) {
        submit = false
      }
      if (!this.page_access) {
        submit = false
      }
      if (submit) {
        this.$q.loading.show();
        this.$axios.post("api/level/create", data)
          .then(sukses => {
            this.$q.loading.hide();
            this.$q.notify({
              message: "Berhasil Menambahkan Level User baru",
              color: "green",
              position: "top"
            })
            this.$router.push("/level")
          })
          .catch(gagal => {
            this.$q.loading.hide();
            console.log(gagal);
          })
      }
    },
    onReset: function () {
    },
    createValue (val, done) {
      done(val, 'add-unique')
    }
  }
}
</script>
